Add Column Lineage Values

Prev Next
Put
/api/v1/DataSteward/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns/{columnId}/lineage

Add lineage to a specified column

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

Id of the data source of the column having its lineage defined

schemaId
integer (int32) Required

Id of the schema of the column having its lineage defined

tableId
integer (int32) Required

Id of the table of the column having its lineage defined

columnId
integer (int32) Required

Id of the column having its lineage defined

Body parameters

Lineage target object with a list of associated source objects

Expand All
object
lineageTransformation
string | null

Transformation information about the lineage

lineageNotes
string | null

Notes about the lineage

sources
Array of object (Configuration.Api.Models.v1.LineageSourceUpdate) | null

List of sources to be added as part of the new lineage

object
sourceObjectId
integer (int32)

The ID of the object that the source is pointing to

sourceMetaDataSourceId
integer (int32) | null

the Data Source ID of the source

Expand All
object
lineageTransformation
string | null

Transformation information about the lineage

lineageNotes
string | null

Notes about the lineage

sources
Array of object (Configuration.Api.Models.v1.LineageSourceUpdate) | null

List of sources to be added as part of the new lineage

object
sourceObjectId
integer (int32)

The ID of the object that the source is pointing to

sourceMetaDataSourceId
integer (int32) | null

the Data Source ID of the source

Expand All
object
lineageTransformation
string | null

Transformation information about the lineage

lineageNotes
string | null

Notes about the lineage

sources
Array of object (Configuration.Api.Models.v1.LineageSourceUpdate) | null

List of sources to be added as part of the new lineage

object
sourceObjectId
integer (int32)

The ID of the object that the source is pointing to

sourceMetaDataSourceId
integer (int32) | null

the Data Source ID of the source

Expand All
object
lineageTransformation
string | null

Transformation information about the lineage

lineageNotes
string | null

Notes about the lineage

sources
Array of object (Configuration.Api.Models.v1.LineageSourceUpdate) | null

List of sources to be added as part of the new lineage

object
sourceObjectId
integer (int32)

The ID of the object that the source is pointing to

sourceMetaDataSourceId
integer (int32) | null

the Data Source ID of the source

Responses
200

OK

object
message
string | null
404

Not Found

object
error
string | null